public class CircleFromSimpleGeometricObject 
    extends SimpleGeometricObject {
  private double radius;

  public CircleFromSimpleGeometricObject() {
  }

  public CircleFromSimpleGeometricObject(double radius) {
    this.radius = radius;
  }

  public CircleFromSimpleGeometricObject(double radius, 
      String color, boolean filled) {
    this.radius = radius;
    setColor(color);
    setFilled(filled);
  }

  /** Zwraca promień */
  public double getRadius() {
    return radius;
  }

  /** Ustawia nowy promień */
  public void setRadius(double radius) {
    this.radius = radius;
  }

  /** Zwraca powierzchnię */
  public double getArea() {
    return radius * radius * Math.PI;
  }
  
  /** Zwraca średnicę */
  public double getDiameter() {
    return 2 * radius;
  }
  
  /** Zwraca obwód */
  public double getPerimeter() {
    return 2 * radius * Math.PI;
  }

  /* Wyświetla informacje o kole */
  public void printCircle() {
    System.out.println("Koło zostało utworzone " + getDateCreated() +
      ". Promień to: " + radius);
  }
}
